public class Datenpunkt implements Comparable<Datenpunkt> {
  private double x;
  private double y;
  private int label;
  private double distanz;

  public Datenpunkt() {
    this.x = 0;
    this.y = 0;
    this.label = 1;
  }
  public Datenpunkt(double x, double y, int label) {
    this.x = x;
    this.y = y;
    this.label = label;
  }
  public double getX() {
    return x;
  }
  public void setX(double px){x=px;}

  public double getY() {
    return y;
  }
  public void setY(double py){y=py;}
  public int getLabel() {
    return label;
  }
  public void setLabel(int l){ label=l; }

  public double getDistanz() {
    return distanz;
  }

  public void setDistanz(double d) {
    distanz = d;
  }

  public String toString() {
    return String.format("x = %4.1f y = %4.1f Label= %d Distanz = %4.1f",x,y,label, distanz);
  }
  public String toCSV(){
    return String.format("%.1f;%.1f;%d",x,y,label);
  }

  @Override
  public int compareTo(Datenpunkt dp) {  // zum Sortieren der Datenpunkte
    if (this.distanz == dp.distanz)
      return 0;
    else if (this.distanz > dp.distanz)
      return 1;
    else
      return -1;
  }
}